cordova.define("com.deepbay.getrms.GetRMS", function(require, exports, module) {
let exec = require('cordova/exec');

let GetRMS = {
  getAlgorithmTarget: function (arg0, arg1, success, error) {
    exec(success, error, 'GetRMS', 'getAlgorithmTarget', [arg0, arg1]);
  },
  startWriteCsv: function (arg0, success, error) {
    exec(success, error, 'GetRMS', 'startWriteCsv', [arg0]);
  },
  stopWriteCsv: function (arg0, arg1, arg2, success, error) {
    exec(success, error, 'GetRMS', 'stopWriteCsv', [arg0, arg1, arg2]);
  },
  startUploadLocalCsv: function (arg0, success, error) {
    exec(success, error, 'GetRMS', 'startUploadLocalCsv', [arg0]);
  },
  setCsvHeaderInfo: function (arg0, success, error) {
    exec(success, error, 'GetRMS', 'setCsvHeaderInfo', [arg0]);
  },
  getVersion: function (arg0, success, error) {
    exec(success, error, 'GetRMS', 'getVersion', [arg0]);
  },
  startPlay: function (arg0, arg1, success, error) {
    exec(success, error, 'GetRMS', 'startPlay', [arg0, arg1]);
  },
  pausePlay: function (arg0, success, error) {
    exec(success, error, 'GetRMS', 'pausePlay', [arg0]);
  },
  resumePlay: function (arg0, success, error) {
    exec(success, error, 'GetRMS', 'resumePlay', [arg0]);
  },
  stopPlay: function (arg0, success, error) {
    exec(success, error, 'GetRMS', 'stopPlay', [arg0]);
  },
  setVolume: function (arg0, arg1, success, error) {
    exec(success, error, 'GetRMS', 'setVolume', [arg0, arg1]);
  },
  loadCsvGetAlgorithmTarget: function (arg0, arg1, success, error) {//  从指定的csv里面获取到所有的数据，然后返回对应的所有指标值
    exec(success, error, 'GetRMS', 'loadCsvGetAlgorithmTarget', [arg0, arg1]);
  },
  bleDisconnect: function (arg0, success, error) {
    exec(success, error, 'GetRMS', 'bleDisconnect', [arg0]);
  },
  scanMusic: function (arg0, success, error) {
    exec(success, error, 'GetRMS', 'scanMusic', [arg0]);
  },
  smoothArray: function (arg0, success, error) {
    exec(success, error, 'GetRMS', 'smoothArray', [arg0]);
  },
  writeLog: function (arg0, success, error) {
    exec(success, error, 'GetRMS', 'writeLog', [arg0]);
  },
  calculateTbr: function (arg0, success, error) {
    exec(success, error, 'GetRMS', 'calculateTbr', [arg0]);
  },
  quantizationAlgorithm: function (arg0, success, error) {
    exec(success, error, 'GetRMS', 'quantizationAlgorithm', [arg0]);
  },
  goShop: function (arg0, success, error) {
    exec(success, error, 'GetRMS', 'goShop', [arg0]);
  },
  startDFU: function (arg0, success, error) {
    exec(success, error, 'GetRMS', 'startDFU', [arg0]);
  },
  saveMindfulnessData: function (arg0, success, error) {
    exec(success, error, 'GetRMS', 'saveMindfulnessData', [arg0]);
  },
  addPlanToCalendar: function (arg0, success, error) {
    exec(success, error, 'GetRMS', 'addPlanToCalendar', [arg0]);
  },
  copyContentToClipboard: function (arg0, success, error) {
    exec(success, error, 'GetRMS', 'copyContentToClipboard', [arg0]);
  },
  judgeListDownload: function (arg0, success, error) {
    exec(success, error, 'GetRMS', 'judgeListDownload', [arg0]);
  },
  downloadFile: function (arg0, success, error) {
    exec(success, error, 'GetRMS', 'downloadFile', [arg0]);
  },
  downloadMp3File: function (arg0, success, error) {
    exec(success, error, 'GetRMS', 'downloadMp3File', [arg0]);
  },
  radarMap: function (arg0, success, error) {
    exec(success, error, 'GetRMS', 'radarMap', [arg0]);
  },
};

module.exports = GetRMS;

});
